<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package     Relic EDD Store
 * @author     	themerelic
 * @copyright   Copyright (c) 2019, themerelic
 * @link        http://themerelic.com
 * @since       Relic EDD Store 1.0.0
 * */
get_header();
?>
<div class="th-download-archive-banner">
	<header class="page-header">
		<div class="container">
			<?php
				the_archive_title( '<h1 class="page-title">', '</h1>' );
				do_action('relic_edd_store_breadcrumb');
				the_archive_description( '<div class="archive-description">', '</div>' );
			?>
		</div>
	</header><!-- .page-header -->
</div>
<div class="blog-wrapper py-5">
	<div class="container">
		<div class="row">
			<div class="col-lg-9 col-md-9 col-sm-12 col-12">
				<div id="primary" class="content-area">
					<main id="main" class="site-main">

						<section class="error-404 not-found">
							<header class="page-header">
								<h1 class="page-title"><?php echo esc_html__( 'Oops! That page can&rsquo;t be found.', 'relic-edd-store' ); ?></h1>
							</header><!-- .page-header -->

                            <div class="page-content">
					<p><?php echo esc_html__( 'It looks like nothing was found at this location. Maybe try one of the links below or a search?', 'relic-edd-store' ); ?></p>

					<?php
					/* translators: %1$s: smiley */
					$relic_edd_store_archive_content = '<p>' . sprintf( esc_html__( 'Try looking in the monthly archives. %1$s', 'relic-edd-store' ), convert_smilies( ':)' ) ) . '</p>';
					
					?>

				</div><!-- .page-content -->
							
							
						</section><!-- .error-404 -->

					</main><!-- #main -->
				</div><!-- #primary -->
			</div>
			<div class="col-lg-3 col-md-3 col-sm-12 col-12">
				<?php get_sidebar(); ?>
			</div>
		</div>
	</div>
</div>
<?php
get_footer();