<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package relic_edd_store
 */
get_header();
?>
<div class="th-download-archive-banner animatedParent" data-sequence='1000'>
	<header class="page-header">
		<div class="container">
			<?php
				the_archive_title( '<h1 class="page-title animated  growIn slower" data-id="1">', '</h1>' );
				?>
				<div class="animated  growIn slower" data-id="3">
				<?php
				do_action('relic_edd_store_breadcrumb');
				?>
				</div>

				<?php
				the_archive_description( '<div class="archive-description animated  growIn slower" data-id="3">', '</div>' );
			?>
		</div>
	</header><!-- .page-header -->
</div>
<div class="blog-wrapper">
	<div class="container">
		<?php if ( is_post_type_archive( 'download' ) || is_tax( array( 'download_category', 'download_tag' ) ) ) : ?>
			<div class="edd-store-list-grid rounded position-relative row text-center p-md-1 p-lg-3 p-sm-1 animatedParent" data-sequence='1000' >
				<div class="edd-store edd-gridlist-post col-sm-3 col-md-2 text-center align-self-center animated  growIn slower" data-id="1">
					<a id="grid" class="active" href="javascript:void(0)"><i class="fa fa-th-large" aria-hidden="true"></i></a>
					<a id="list" class=""href="javascript:void(0)"><i class="fa fa-list" aria-hidden="true"></i></a>
				</div>

				<!-- search form -->
				<form action="" method="get" class="col-sm-6 col-md-8 animated  growIn slower" data-id="2">
					<input type="text" name="title" class="col-8 rounded" placeholder="<?php esc_attr_e('Search', 'relic-edd-store'); ?>" value="<?php echo esc_attr( relic_edd_store_get_request_parameter('title') ); ?>" >
					<input type="submit" value="Submit" class="col-3 p-2">
				</form>
				<div class="pull-right col-sm-3 col-md-2 align-self-center p-0 animated  growIn slower" data-id="3">
					<span><a href="?post_per_page=12"><?php echo esc_html__('12 / ','relic-edd-store'); ?></a> </span>
					<span><a href="?post_per_page=24"><?php echo esc_html__('24  / ','relic-edd-store'); ?> </a> </span>
					<span><a href="?post_per_page=36"><?php echo esc_html__('36  ','relic-edd-store'); ?></a> </span>
				</div>
			</div>
			<!-- Start Slider Columns -->
			<div class="th-homepage-main-products grid row " >
				<div class="row edd-gridlist-post  animatedParent "  >
					<?php 
					if ( have_posts() ) :
						/* Start the Loop */
						while ( have_posts() ) :
							the_post();
							/*
							* Include the Post-Type-specific template for the content.
							* If you want to override this in a child theme, then include a file
							* called content-___.php (where ___ is the Post Type name) and that will be used instead.
							*/
							get_template_part( 'template-parts/edd-template/edd-products-tabs' );
							
						endwhile;
					endif;

					
					?>
				</div>
			</div>

			
		<?php else: ?>
			<div class="row py-5">
				<div class="col-lg-9">
					<?php if ( have_posts() ) : ?>

						<header class="page-header">
							<?php
							the_archive_title( '<h1 class="page-title">', '</h1>' );
							the_archive_description( '<div class="archive-description">', '</div>' );
							?>
						</header><!-- .page-header -->

						<?php
						/* Start the Loop */
						while ( have_posts() ) :
							the_post();

							/*
							* Include the Post-Type-specific template for the content.
							* If you want to override this in a child theme, then include a file
							* called content-___.php (where ___ is the Post Type name) and that will be used instead.
							*/
							get_template_part( 'template-parts/content', get_post_type() );

						endwhile;

					else :

						get_template_part( 'template-parts/content', 'none' );

					endif;
					
					?>

			</div>
				<div class="col-lg-3">
					<?php get_sidebar(); ?>
				</div>
			</div>
		<?php endif; ?>
		<div class="edd-pagination-section mt-5 text-center">
					<?php relic_edd_store_page_navs(); ?>
		</div>
	</div>
</div>
<?php
get_footer();