<?php
/**
 *Template Name: Blog Authors List
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package     Relic EDD Store
 * @author     	themerelic
 * @copyright   Copyright (c) 2019, themerelic
 * @link        http://themerelic.com
 * @since       Relic EDD Store 1.0.0
 * */
get_header();
?>
<div class="th-download-archive-banner">
	<header class="page-header">
		<div class="container">
			<h2><?php echo esc_html( get_the_title(get_the_ID()) ); ?></h2>
			<?php do_action('relic_edd_store_breadcrumb'); ?>
		</div>
	</header><!-- .page-header -->
</div>
<?php
	$relic_edd_store_all_users = get_users('orderby=post_count&order=DESC');
	$relic_edd_store_users = array();
	// Remove subscribers from the list as they won't write any articles
	foreach($relic_edd_store_all_users as $relic_edd_store_current_user){
		if (!in_array('subscriber', $relic_edd_store_current_user->roles)){
			$relic_edd_store_users[] = $relic_edd_store_current_user;
		}
	}
?>
<div class="container-fluid">
	<div class="container dm-column-container author-list-page">
		<div class="row">
			<div class="col-md-12">
				<h2 class="dm-author-list-main text-center"><?php esc_html_e( 'Our authors who contributed useful articles for you!', 'relic-edd-store' ); ?> </h2>
				<div class="row fix">
					<?php
					foreach($relic_edd_store_users as $relic_edd_store_user){
						$relic_edd_store_post_count = count_user_posts($relic_edd_store_user->ID);
					?>
					<div class="col-md-6 my-3 author-list">
						<div class="dm-author-list row">
							<div class="dm-authorAvatar col-sm-4 no-padding">
								<a href="<?php
									echo esc_url(get_author_posts_url($relic_edd_store_user->ID)); ?>"><?php
									echo get_avatar($relic_edd_store_user->user_email, '90', array(
										'class' => array(
											'd-block',
											'img-responsive'
										)
									)); ?>
								</a>
							</div>
							<div class="dm-authorInfo col-sm-8 no-padding">
								<h2 class="authorName"><a href="<?php echo esc_url(get_author_posts_url($relic_edd_store_user->ID)); ?>">
									<?php echo esc_html($relic_edd_store_user->display_name); ?></a>
								</h2>
								<p class="dm-authorPost"><i class="fa fa-pencil-square-o" aria-hidden="true"></i>
									<?php echo esc_html($relic_edd_store_post_count); ?> <?php esc_html_e('Articles','relic-edd-store'); ?>
								</p>
							</div>
						</div>
					</div>
				<?php } ?>
				</div>
			</div>			
		</div>
	</div>
</div>
<?php
get_footer(); ?>