<?php
/**
 * This template is used to display the login form with [edd_login]
 */
global $edd_login_redirect;
if ( ! is_user_logged_in() ) :

	// Show any error messages after form submission
	edd_print_errors(); ?>
	<!-- Sing in  Form -->
	<section id="edd-register-shortcode" class="sign-in">
		<div class="container">
			<div class="signin-content row">
				<div class="signin-image col-lg-6">
					<figure><img src="<?php echo esc_url(RELIC_EDD_STORE_THEME_IMG.'register2.jpg') ?>" alt="<?php echo esc_attr__('Log into Your Account','relic-edd-store'); ?>" ></figure>
				</div>

				<div class="signin-form col-lg-6">
					<h2 class="form-title"><?php echo esc_html__('Log into Your Account','relic-edd-store'); ?></h2>
					<form id="register-form" class="edd_form" action="" method="post">
						<?php do_action( 'edd_login_fields_before' ); ?>
						<div class="form-group">
							<label for="your_pass"><i class="fa fa-user" aria-hidden="true"></i></label>
							<input name="edd_user_login" id="edd_user_login" placeholder="<?php esc_attr_e('Username or Email', 'relic-edd-store'); ?>"   class="edd-required edd-input" type="text"/>
						</div>
						<div class="form-group">
							<label for="your_pass"><i class="fa fa-user" aria-hidden="true"></i></label>
							<input name="edd_user_pass" id="edd_user_pass" class="edd-password edd-required edd-input"  placeholder="<?php esc_attr_e('Password', 'relic-edd-store'); ?>"   type="password"/>
						</div>
						<p class="edd-login-remember">
							<input name="rememberme" type="checkbox" id="rememberme" value="forever" /><label> <?php echo esc_html__( 'Remember Me', 'relic-edd-store' ); ?></label>
						</p>
						<div class="form-group">
							<input type="hidden" name="edd_redirect" value="<?php echo esc_url( $edd_login_redirect ); ?>"/>
							<input type="hidden" name="edd_login_nonce" value="<?php echo esc_attr( wp_create_nonce( 'edd-login-nonce' ) ); ?>"/>
							<input type="hidden" name="edd_action" value="user_login"/>
							<input id="edd_login_submit" type="submit" class="edd-submit" value="<?php echo esc_html__( 'Log In', 'relic-edd-store' ); ?>"/>
						</div>
						
						<a href="<?php echo esc_url( wp_lostpassword_url() ); ?>">
							<?php echo esc_html__( 'Lost Password?', 'relic-edd-store' ); ?>
						</a>
						<?php do_action( 'edd_login_fields_after' ); ?>
					</form>
					
				</div>
			</div>
		</div>
	</section>
<?php else : ?>

	<?php do_action( 'edd_login_form_logged_in' ); ?>

<?php endif; ?>
