<?php
/**
 * This template is used to display the profile editor with [edd_profile_editor]
 */
global $current_user;

if ( is_user_logged_in() ):
	$relic_edd_store_user_id      = get_current_user_id();
	$relic_edd_store_first_name   = get_user_meta( $relic_edd_store_user_id, 'first_name', true );
	$relic_edd_store_last_name    = get_user_meta( $relic_edd_store_user_id, 'last_name', true );
	$relic_edd_store_display_name = $current_user->display_name;
	$relic_edd_store_address      = edd_get_customer_address( $relic_edd_store_user_id );
	$relic_edd_store_states       = edd_get_shop_states( $relic_edd_store_address['country'] );
	$relic_edd_store_state 		  = $relic_edd_store_address['state'];

	if ( edd_is_cart_saved() ): ?>
		<?php $relic_edd_store_restore_url = add_query_arg( array( 'edd_action' => 'restore_cart', 'edd_cart_token' => edd_get_cart_token() ), edd_get_checkout_uri() ); ?>
		<div class="edd_success edd-alert edd-alert-success"><strong><?php esc_html_e( 'Saved cart','relic-edd-store' ); ?>:</strong> <?php printf( wp_kses_post( 'You have a saved cart, <a href="%s">click here</a> to restore it.', 'relic-edd-store' ), esc_url( $relic_edd_store_restore_url ) ); ?></div>
	<?php endif; ?>

	<?php if ( isset( $_GET['updated'] ) && $_GET['updated'] == true && ! edd_get_errors() ): ?>
		<div class="edd_success edd-alert edd-alert-success"><strong><?php esc_html_e( 'Success','relic-edd-store' ); ?>:</strong> <?php esc_html_e( 'Your profile has been edited successfully.', 'relic-edd-store' ); ?></div>
	<?php endif; ?>

	<?php edd_print_errors(); ?>

	<?php do_action( 'edd_profile_editor_before' ); ?>


	<!-- Sing in  Form -->
	<section id="edd-register-shortcode" class="sign-in">
		<div class="container">
			<div class="signin-content row">
				<div class="signin-image col-lg-12">
						
						<form id="edd_profile_editor_form" class="edd_form" action="<?php echo esc_url( edd_get_current_page_url() ); ?>" method="post">

							<?php do_action( 'edd_profile_editor_fields_top' ); ?>
							<fieldset id="edd_profile_personal_fieldset">

								<legend id="edd_profile_name_label"><?php esc_html_e( 'Change your Name', 'relic-edd-store' ); ?></legend>

								<div class="form-row">
									<div class="col">
										<h5><?php esc_html_e( 'First name', 'relic-edd-store' ); ?><h5>
										<input name="edd_first_name" id="edd_first_name" class="text edd-input form-control" type="text" placeholder="<?php echo esc_attr('First name','relic-edd-store'); ?>" value="<?php echo esc_attr( $relic_edd_store_first_name ); ?>" />
									</div>
									<div class="col">
										<h5><?php esc_html_e( 'Last name', 'relic-edd-store' ); ?><h5>
										<input name="edd_last_name" id="edd_last_name" class="text edd-input" type="text" placeholder="<?php echo esc_attr('Last name','relic-edd-store'); ?>" value="<?php echo esc_attr( $relic_edd_store_last_name ); ?>" />
									</div>
								</div>


								<div class="form-row mt-3">
									<div class="col">
										<h5><?php esc_html_e( 'Display Name', 'relic-edd-store' ); ?><h5>
											<select name="edd_display_name" id="edd_display_name" class="select edd-select form-control">
												<?php if ( ! empty( $current_user->first_name ) ): ?>
												<option <?php selected( $relic_edd_store_display_name, $current_user->first_name ); ?> value="<?php echo esc_attr( $current_user->first_name ); ?>"><?php echo esc_html( $current_user->first_name ); ?></option>
												<?php endif; ?>
												<option <?php selected( $relic_edd_store_display_name, $current_user->user_nicename ); ?> value="<?php echo esc_attr( $current_user->user_nicename ); ?>"><?php echo esc_html( $current_user->user_nicename ); ?></option>
												<?php if ( ! empty( $current_user->last_name ) ): ?>
												<option <?php selected( $relic_edd_store_display_name, $current_user->last_name ); ?> value="<?php echo esc_attr( $current_user->last_name ); ?>"><?php echo esc_html( $current_user->last_name ); ?></option>
												<?php endif; ?>
												<?php if ( ! empty( $current_user->first_name ) && ! empty( $current_user->last_name ) ): ?>
												<option <?php selected( $relic_edd_store_display_name, $current_user->first_name . ' ' . $current_user->last_name ); ?> value="<?php echo esc_attr( $current_user->first_name . ' ' . $current_user->last_name ); ?>"><?php echo esc_html( $current_user->first_name . ' ' . $current_user->last_name ); ?></option>
												<option <?php selected( $relic_edd_store_display_name, $current_user->last_name . ' ' . $current_user->first_name ); ?> value="<?php echo esc_attr( $current_user->last_name . ' ' . $current_user->first_name ); ?>"><?php echo esc_html( $current_user->last_name . ' ' . $current_user->first_name ); ?></option>
												<?php endif; ?>
											</select>
											<?php do_action( 'edd_profile_editor_name' ); ?>
									</div>
									<div class="col">

											<p id="edd_profile_primary_email_wrap">
												<h5><?php esc_html_e( 'Primary Email Address', 'relic-edd-store' ); ?><h5>
												<?php $relic_edd_store_customer = new EDD_Customer( $relic_edd_store_user_id, true ); ?>
												<?php if ( $relic_edd_store_customer->id > 0 ) : ?>

													<?php if ( 1 === count( $relic_edd_store_customer->emails ) ) : ?>
														<input name="edd_email" id="edd_email" class="text edd-input required" type="email" placeholder="<?php echo esc_attr('Email','relic-edd-store'); ?>" value="<?php echo esc_attr( $relic_edd_store_customer->email ); ?>" />
													<?php else: ?>
														<?php
															$relic_edd_store_emails           = array();
															$relic_edd_store_customer->emails = array_reverse( $relic_edd_store_customer->emails, true );

															foreach ( $relic_edd_store_customer->emails as $relic_edd_store_email ) {
																$relic_edd_store_emails[ $relic_edd_store_email ] = $relic_edd_store_email;
															}

															$relic_edd_store_email_select_args = array(
																'options'          => $relic_edd_store_emails,
																'name'             => 'edd_email',
																'id'               => 'edd_email',
																'selected'         => $relic_edd_store_customer->email,
																'show_option_none' => false,
																'show_option_all'  => false,
															);

															echo wp_kses_post( EDD()->html->select( $relic_edd_store_email_select_args ) );
														?>
													<?php endif; ?>
												<?php else: ?>
													<input name="edd_email" id="edd_email" class="text edd-input required" type="email" value="<?php echo esc_attr( $current_user->user_email ); ?>" />
												<?php endif; ?>

												<?php do_action( 'edd_profile_editor_email' ); ?>
											</p>

									</div>

								</div>

							</fieldset>

							<?php do_action( 'edd_profile_editor_after_personal_fields' ); ?>

							<fieldset id="edd_profile_address_fieldset" class="mt-5">

								<legend id="edd_profile_billing_address_label"><?php esc_html_e( 'Change your Billing Address', 'relic-edd-store' ); ?></legend>
								
								<div class="form-row">
									<div class="col">
										<h5><?php esc_html_e( 'Line 1', 'relic-edd-store' ); ?><h5>
										<p id="edd_profile_billing_address_line_1_wrap">
											<input name="edd_address_line1" id="edd_address_line1" class="text edd-input" type="text" value="<?php echo esc_attr( $relic_edd_store_address['line1'] ); ?>" />
										</p>
									</div>
									<div class="col">
										<h5><?php esc_html_e( 'Line 2', 'relic-edd-store' ); ?><h5>
										<p id="edd_profile_billing_address_line_2_wrap">
											<input name="edd_address_line2" id="edd_address_line2" class="text edd-input" type="text" value="<?php echo esc_attr( $relic_edd_store_address['line2'] ); ?>" />
										</p>
									</div>
								</div>


								<div class="form-row">
									<div class="col">
										<h5><?php esc_html_e( 'City', 'relic-edd-store' ); ?><h5>
										<p id="edd_profile_billing_address_city_wrap">
											<input name="edd_address_city" id="edd_address_city" class="text edd-input" type="text" value="<?php echo esc_attr( $relic_edd_store_address['city'] ); ?>" />
										</p>
									</div>
									<div class="col">
										<h5><?php esc_html_e( 'Zip / Postal Code', 'relic-edd-store' ); ?><h5>
										<p id="edd_profile_billing_address_postal_wrap">
											<input name="edd_address_zip" id="edd_address_zip" class="text edd-input" type="text" value="<?php echo esc_attr( $relic_edd_store_address['zip'] ); ?>" />
										</p>
									</div>
								</div>

								<div class="form-row">
									<div class="col">
										<h5><?php esc_html_e( 'Country', 'relic-edd-store' ); ?><h5>
										<p id="edd_profile_billing_address_country_wrap">
											<select name="edd_address_country" id="edd_address_country" class="select edd-select" data-nonce="<?php echo esc_attr( wp_create_nonce( 'edd-country-field-nonce' ) ); ?>">
												<?php foreach( edd_get_country_list() as $key => $relic_edd_store_country ) : ?>
												<option value="<?php echo esc_attr( $key ); ?>"<?php selected( $relic_edd_store_address['country'], $key ); ?>><?php echo esc_html( $relic_edd_store_country ); ?></option>
												<?php endforeach; ?>
											</select>
										</p>
									</div>
									<div class="col">
										<h5><?php esc_html_e( 'State / Province', 'relic-edd-store' ); ?><h5>
										<p id="edd_profile_billing_address_state_wrap">
											<?php if( ! empty( $relic_edd_store_states ) ) : ?>
												<select name="edd_address_state" id="edd_address_state" class="select edd-select">
													<?php
														foreach( $relic_edd_store_states as $relic_edd_store_state_code => $relic_edd_store_state_name ) {
															echo '<option value="' . esc_attr( $relic_edd_store_state_code ) . '"' . selected( $relic_edd_store_state_code, $relic_edd_store_state, false ) . '>' . esc_html( $relic_edd_store_state_name ). '</option>';
														}
													?>
												</select>
											<?php else : ?>
												<input name="edd_address_state" id="edd_address_state" class="text edd-input" type="text" value="<?php echo esc_attr( $relic_edd_store_state ); ?>" />
											<?php endif; ?>

											<?php do_action( 'edd_profile_editor_address' ); ?>
										</p>
									</div>
								</div>
								<?php do_action( 'edd_profile_editor_after_address' ); ?>

							</fieldset>

							<?php do_action( 'edd_profile_editor_after_address_fields' ); ?>

							<fieldset id="edd_profile_password_fieldset " class="mt-5">
								<legend id="edd_profile_password_label"><?php esc_html_e( 'Change your Password', 'relic-edd-store' ); ?></legend>
								
								
								<div class="form-row">
									<div class="col">
										<h5><?php esc_html_e( 'New Password', 'relic-edd-store' ); ?><h5>
										<p id="edd_profile_password_wrap">
											<input name="edd_new_user_pass1" id="edd_new_user_pass1" class="password edd-input" type="password"/>
										</p>
									</div>
									<div class="col">
										<h5><?php esc_html_e( 'Re-enter Password', 'relic-edd-store' ); ?><h5>
											<p id="edd_profile_confirm_password_wrap">
												<input name="edd_new_user_pass2" id="edd_new_user_pass2" class="password edd-input" type="password"/>
												<?php do_action( 'edd_profile_editor_password' ); ?>
											</p>
									</div>
								</div>

								

							

								<?php do_action( 'edd_profile_editor_after_password' ); ?>

							</fieldset>

							<?php do_action( 'edd_profile_editor_after_password_fields' ); ?>

							<fieldset id="edd_profile_submit_fieldset">

								<p id="edd_profile_submit_wrap">
									<input type="hidden" name="edd_profile_editor_nonce" value="<?php echo esc_attr( wp_create_nonce( 'edd-profile-editor-nonce' ) ); ?>"/>
									<input type="hidden" name="edd_action" value="edit_user_profile" />
									<input type="hidden" name="edd_redirect" value="<?php echo esc_url( edd_get_current_page_url() ); ?>" />
									<input name="edd_profile_editor_submit" id="edd_profile_editor_submit" type="submit" class="edd_submit edd-submit" value="<?php esc_html_e( 'Save Changes', 'relic-edd-store' ); ?>"/>
								</p>

							</fieldset>

							<?php do_action( 'edd_profile_editor_fields_bottom' ); ?>

						</form><!-- #edd_profile_editor_form -->
					
				</div>
			</div>
		</div>
	</section>

	<?php do_action( 'edd_profile_editor_after' ); ?>

	<?php
else:
	do_action( 'edd_profile_editor_logged_out' );
endif;
