<?php
/**
 * This template is used to display the registration form with [edd_register]
 */
global $edd_register_redirect;

do_action( 'edd_print_errors' ); ?>


<?php if ( ! is_user_logged_in() ) : ?>
<section id="edd-register-shortcode" class="signup">
	<div class="container">
		<div class="signup-content row">
			<div class="signup-form col-lg-6">
				<h2 class="form-title"><?php echo esc_html__('Sign up','relic-edd-store'); ?></h2>
				<form id="register-form" class="edd_form register-form" action="" method="post">
					<?php do_action( 'edd_register_form_fields_top' ); ?>
					<?php do_action( 'edd_register_form_fields_before' ); ?>
					<div class="form-group">
						<label for="name"><i class="fa fa-user" aria-hidden="true"></i></label>
						<input id="edd-user-login" class="required edd-input" placeholder="<?php echo esc_attr__('Username', 'relic-edd-store'); ?>"   type="text" name="edd_user_login" />
					</div>
					<div class="form-group">
						<label for="name"><i class="fa fa-envelope-o" aria-hidden="true"></i></label>
						<input id="edd-user-email" class="required edd-input" placeholder="<?php echo esc_attr__('Email', 'relic-edd-store'); ?>"  type="email" name="edd_user_email" />
					</div>
					<div class="form-group">
						<label for="name"><i class="fa fa-lock" aria-hidden="true"></i></label>
						<input id="edd-user-pass" class="password required edd-input" placeholder="<?php echo esc_attr__('Password', 'relic-edd-store'); ?>"   type="password" name="edd_user_pass" />
					</div>
					<div class="form-group">
						<label for="name"><i class="fa fa-lock" aria-hidden="true"></i></label>
						<input id="edd-user-pass2" class="password required edd-input"  placeholder="<?php echo esc_attr__('Repeat your password', 'relic-edd-store'); ?>"  type="password" name="edd_user_pass2" />
					</div>
					
					<?php do_action( 'edd_register_form_fields_before_submit' ); ?>
					<p>
						<input type="hidden" name="edd_honeypot" value="" />
						<input type="hidden" name="edd_action" value="user_register" />
						<input type="hidden" name="edd_redirect" value="<?php echo esc_url( $edd_register_redirect ); ?>"/>
						<input class="edd-submit" name="edd_register_submit" type="submit" value="<?php echo esc_attr__( 'Register', 'relic-edd-store' ); ?>" />
					</p>

					<?php do_action( 'edd_register_form_fields_after' ); ?>

					<?php do_action( 'edd_register_form_fields_bottom' ); ?>
				</form>
			</div>
			<div class="signup-image  col-lg-6">
				<figure><img src="<?php echo esc_url(RELIC_EDD_STORE_THEME_IMG.'register2.jpg') ?>" alt="<?php echo esc_attr__('Register User','relic-edd-store'); ?>" ></figure>
			</div>
		</div>
	</div>
</section>

<?php else : ?>

	<?php do_action( 'edd_register_form_logged_in' ); ?>

<?php endif; ?>
