<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package     Relic EDD Store
 * @author     	themerelic
 * @copyright   Copyright (c) 2019, themerelic
 * @link        http://themerelic.com
 * @since       Relic EDD Store 1.0.0
 * */
?>
	</div><!-- #content -->

	<footer id="colophon" class="site-footer mt-5 animated bounceIn">
		<?php if( get_theme_mod('relic_edd_store_footer_widget_enable',true) ): ?>
		<div class="container">
			<div class="footer-widgets">
					<div class="edd-store-footer-widget">
						<div class="row">
							<div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
								<?php 
									/**
									 * Footer Sidebar
									 * @since 1.0.0
									 */
									if ( is_active_sidebar( 'footer-1' )){
										dynamic_sidebar( 'footer-1' ); 
									}else{
										the_widget( 'WP_Widget_Recent_Posts' );
									}
								?>
							</div>
							<div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
								<?php 
									/**
									 * Footer Sidebar
									 * @since 1.0.0
									 */
									if ( is_active_sidebar( 'footer-2' )){
										dynamic_sidebar( 'footer-2' ); 
									}else{
										the_widget( 'WP_Widget_Categories' );
									}
								?>
							</div>
							<div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
								<?php 
									/**
									 * Footer Sidebar
									 * @since 1.0.0
									 */
									if ( is_active_sidebar( 'footer-3' )){
										dynamic_sidebar( 'footer-3' ); 
									}else{
										the_widget( 'WP_Widget_Pages' );
									}
								?>
							</div>
							<div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
								<?php 
									/**
									 * Footer Sidebar
									 * @since 1.0.0
									 */
									if ( is_active_sidebar( 'footer-4' )){
										dynamic_sidebar( 'footer-4' ); 
									}else{
										the_widget( 'WP_Widget_Recent_Posts' );
									}
								?>
							</div>
						</div>
					</div><!-- .site-info -->
			</div>
		</div>
		<?php endif; ?>
		<div class="site-info">
			<a href="<?php echo esc_url( __( 'https://wordpress.org/', 'relic-edd-store' ) ); ?>">
				<?php
				/* translators: %s: CMS name, i.e. WordPress. */
				printf( esc_html__( 'Proudly powered by %s', 'relic-edd-store' ), 'WordPress' );
				?>
			</a>
			<span class="sep"> | </span>
			<a href="http://themerelic.com">
				<?php
				/* translators: 1: Theme name, 2: Theme author. */
				printf( esc_html__( 'Theme: %1$s by %2$s.', 'relic-edd-store' ), 'Relic EDD Store', 'Theme  Relic' );
				?>
			</a>
		</div><!-- .site-info -->
	</footer><!-- #colophon -->
	<a href="#" class="scrollToTop" style="display: block;"><i class="fa fa-angle-up"></i></a>

</div><!-- #page -->


<?php wp_footer(); ?>

</body>
</html>
