<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package     Relic EDD Store
 * @author     	themerelic
 * @copyright   Copyright (c) 2019, themerelic
 * @link        http://themerelic.com
 * @since       Relic EDD Store 1.0.0
 * */
?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
	<?php 
	/**
	 * Header 
	 */
	$relic_edd_store_header_layout_select = get_theme_mod('relic_edd_store_header_layout_select','header-two');

	?>

	<?php wp_body_open(); ?>
	<div id="page" class="site  <?php echo esc_attr($relic_edd_store_header_layout_select); ?>">
	<a class="skip-link screen-reader-text" href="#content">
	<?php _e( 'Skip to content', 'relic-edd-store' ); ?></a>
	
	
	<?php get_template_part( 'template-parts/header/'.esc_html( $relic_edd_store_header_layout_select ) ); ?>

	<div id="content" class="site-content">