<?php
/**
 * The sidebar containing the main widget area
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package     EDD Store
 * @author     	themerelic
 * @copyright   Copyright (c) 2019, themerelic
 * @link        http://themerelic.com
 * @since       EDD Store 1.0.0
 * */
$relic_edd_store_price = edd_get_download_price(get_the_ID());
?>
<div class="col-lg-4 col-md-6 col-sm-12 col-12 mt-4">
    <div class="edd-store-items">
        <div class="edd-store-products-price <?php if( $relic_edd_store_price == "0.00"  ){ echo "free"; } ?>">
            <strong><?php echo esc_html( edd_price( get_the_ID(), true, 1 ) ); ?></strong>
        </div>
        <div class="wrapper">
            <?php
                /**
                 * Relic EDD Store Free or premium
                 * @since 1.0.0
                 */
                if( $relic_edd_store_price == "0.00"  ){
                    echo '<div class="edd-store-premieum free"><strong>'.esc_html__('Free','relic-edd-store').'</strong></div>';
                }else{
                    echo '<div class="edd-store-premieum"><strong>'.esc_html__('PREMIUM','relic-edd-store').'</strong></div>';
                }
            ?>
        </div>
        <div class="th-themes-img">
            <a href="<?php the_permalink(); ?>">
                <?php the_post_thumbnail('relic_edd_store_theme_list'); ?>
            </a>
        </div>
        <div class="th-description py-4">
            <h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
            <div class="th-description-short my-3"><?php echo esc_html( get_the_excerpt() ); ?></div>
            <div class="edd-store-buttom">
                <a class="theme-details" href="<?php the_permalink(); ?>"><?php echo esc_html__('Theme Details','relic-edd-store'); ?></a>
            </div>
        </div>
    </div>
</div>
<!-- End Items Loop -->