<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package     Relic EDD Store
 * @author     	themerelic
 * @copyright   Copyright (c) 2019, themerelic
 * @link        http://themerelic.com
 * @since       Relic EDD Store 1.0.0
 * */
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <div class="entry-main-content">
		<div class="row">
				<?php if( has_post_thumbnail() ): ?>
					<div class="col-lg-6 col-md-6 co-sm-12">
						<div class="entry-thumbnail">
							<div class="entry-content-inner">
								<a href="<?php the_permalink(); ?>">
									<?php the_post_thumbnail(); ?>
								</a>
							</div>
						</div>
					</div>
					<div class="col-lg-6 col-md-6 co-sm-12">
				<?php else: ?>
				<div class="col-lg-12 col-md-12 co-sm-12">
				<?php endif; ?>
				<div class="post-info ">
					<a href="<?php the_permalink(); ?>" rel="bookmark"></a>
					<div class="entry-meta">
						<div class="meta-inner"><span class="entry-date"><i class="fa fa-clock-o"></i><?php the_time(get_option('date_format')); ?></span></div> <span class="comments-link"><i class="fa fa-comment"></i><?php echo esc_html(  get_comments_number() ); ?></span> </div>
					<!-- .entry-meta -->
					<header class="entry-header ">
						<?php the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );  ?>
					</header>
					<!-- .entry-header -->
					<div class="entry-content-other">
						<div class="entry-summary">
							<div class="excerpt">
								<?php the_excerpt(); ?>
								<div class="read-more"><a class="read-more-link" href="<?php the_permalink(); ?>"><?php echo esc_html__('Read More','relic-edd-store'); ?></a></div>
							</div>
						</div>
						<!-- .entry-summary -->
					</div>
					<!-- post-info -->
				</div>
			</div>
		</div>
        <!-- entry-content-other -->
    </div>
</article><!-- #post-<?php the_ID(); ?> -->