<?php
/**
 * The sidebar containing the main widget area
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package     Relic EDD Store
 * @author     	themerelic
 * @copyright   Copyright (c) 2019, themerelic
 * @link        http://themerelic.com
 * @since       Relic EDD Store 1.0.0
 * */
$relic_edd_store_cateogry_section = get_theme_mod('relic_edd_store_cateogry_section');
if( !empty( $relic_edd_store_cateogry_section ) ):
foreach( $relic_edd_store_cateogry_section as $relic_edd_store_category  ):

$relic_edd_store_category_term    = 	get_term_by('id', $relic_edd_store_category, 'download_category');
$relic_edd_store_category_link    =   get_category_link( $relic_edd_store_category );
$relic_edd_store_posts_array = 
    array(
        'posts_per_page' => 1,
        'post_type' => 'download',
        'tax_query' => array(
            array(
                'taxonomy' => 'download_category',
                'field' => 'term_id',
                'terms' => $relic_edd_store_category,
            )
        ),
        'meta_query' => array( 
            array(
                'key' => '_thumbnail_id'
            )
        )
            );
$relic_edd_store_query =  new WP_Query($relic_edd_store_posts_array);
if ( $relic_edd_store_query->have_posts() ) : while ( $relic_edd_store_query->have_posts() ) : $relic_edd_store_query->the_post();
?>
<!-- Item Loop Start  -->
<div class="col-lg-4 col-md-4 col-sm-4 col-12 mt-4">
    <div class="edd-store-items-wrapper">
        <div class="edd-store-items">
            <div class="th-themes-img">	
                <a href="<?php the_permalink(); ?>">
                    <?php the_post_thumbnail(); ?>
                </a>
            </div>
            <div class="th-category">
                <div class="th-category-section">
                    <a href="<?php echo esc_url( $relic_edd_store_category_link ); ?>"><?php if( $relic_edd_store_category_term->name ): ?><h2><?php echo esc_html( $relic_edd_store_category_term->name ); ?></h2><?php endif; ?></a>
                    <?php if( $relic_edd_store_category_term->description ): ?><span><?php echo esc_html( $relic_edd_store_category_term->description ); ?></span><?php endif; ?>
               
                    <a href="<?php echo esc_url( $relic_edd_store_category_link ); ?>" class="btn btn-primary"><?php echo esc_html__('View More','relic-edd-store'); ?></a>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- End Items Loop -->
<?php  
        endwhile; wp_reset_postdata(); endif;
    endforeach; 
endif; 
?>