<?php
/**
 * Edd Enqueue Scripts
 *
 * @package     Relic EDD Store
 * @author     	themerelic
 * @copyright   Copyright (c) 2019, themerelic
 * @link        http://themerelic.com
 * @since       Relic EDD Store 1.0.0
 * */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Theme Enqueue Scripts
 */
if ( ! class_exists( 'Relic_Edd_Store_Enqueue_Scripts' ) ) {

	/**
	 * Theme Enqueue Scripts
	 */
	class Relic_Edd_Store_Enqueue_Scripts {

        
		/**
		 * Constructor
		 */
		public function __construct() {

			add_action( 'wp_enqueue_scripts', array( $this, 'relic_edd_store_enqueue_scripts' ), 1 );

		}


		/**
		 * Enqueue Scripts
		 */
		public function relic_edd_store_enqueue_scripts() {

			/**
			 * Enqueue Google Fonts
			 */
			$relic_edd_store_google_fonts_list = array('Roboto','Source+Sans+Pro','Poppins','Roboto+Condensed');
			foreach(  $relic_edd_store_google_fonts_list as $google_font ){
				wp_enqueue_style( 'edd-store-google-fonts-'.esc_html( $google_font ), '//fonts.googleapis.com/css?family='.esc_html( $google_font ).':200,300,400,500,600,700,800', false ); 
			}



            /**
             * Enqueue Style
             */
			wp_enqueue_style( 'bootstrap', RELIC_EDD_STORE_THEME_URI . 'assets/library/bootstrap/css/bootstrap.css', array(), RELIC_EDD_STORE_THEME_VERSION, false );
			wp_enqueue_style( 'owl.carousel', RELIC_EDD_STORE_THEME_URI . 'assets/library/owl.carousel/css/owl.carousel.css', array(), RELIC_EDD_STORE_THEME_VERSION, false );
			wp_enqueue_style( 'font-awesome', RELIC_EDD_STORE_THEME_URI . 'assets/library/font-awesome/css/font-awesome.css', array(), RELIC_EDD_STORE_THEME_VERSION, false );
			wp_enqueue_style( 'edd-store-style', get_stylesheet_uri() );
			wp_enqueue_style( 'register-form.css', RELIC_EDD_STORE_THEME_URI . 'assets/css/register-form.css', array(), RELIC_EDD_STORE_THEME_VERSION, false );
			

			



            /**
             * Enqueue Script
             */
			wp_enqueue_script( 'jquery.matchHeight-min', RELIC_EDD_STORE_THEME_URI . 'assets/library/jquery-match-height-master/jquery.matchHeight-min.js', array('jquery'), RELIC_EDD_STORE_THEME_VERSION, false );
			wp_enqueue_script( 'bootstrap', RELIC_EDD_STORE_THEME_URI . 'assets/library/bootstrap/js/bootstrap.js', array(), RELIC_EDD_STORE_THEME_VERSION, true );
			wp_enqueue_script( 'owl.carousel', RELIC_EDD_STORE_THEME_URI . 'assets/library/owl.carousel/js/owl.carousel.js', array(), RELIC_EDD_STORE_THEME_VERSION, true );
			wp_enqueue_script( 'edd-store-custom', RELIC_EDD_STORE_THEME_URI . 'assets/js/relic-edd-store-custom.js', array('jquery'), RELIC_EDD_STORE_THEME_VERSION, true );
            wp_enqueue_script( 'edd-store-navigation', RELIC_EDD_STORE_THEME_URI . 'assets/js/navigation.js', array(), RELIC_EDD_STORE_THEME_VERSION, true );
            wp_enqueue_script( 'edd-store-skip-link-focus-fix', RELIC_EDD_STORE_THEME_URI . 'assets/js/skip-link-focus-fix.js', array(), RELIC_EDD_STORE_THEME_VERSION, true );
			

			/**
			 * Relic EDD Store Enqueue Script
			 */
			wp_register_script('edd-store-ajax-tab-js', RELIC_EDD_STORE_THEME_URI . 'assets/js/relic-edd-store-ajax-tab.js', array('jquery'), RELIC_EDD_STORE_THEME_VERSION, true );
			$localize = array(
				'ajaxurl' => admin_url('admin-ajax.php'),
			);
			wp_localize_script('edd-store-ajax-tab-js', 'EddStoreProducts', $localize);
			wp_enqueue_script('edd-store-ajax-tab-js');
			
			
			/**
			 * comments replay js
			 */
            if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
                wp_enqueue_script( 'comment-reply' );
			}
			
            // RTL support.
			wp_style_add_data( 'edd-store-trl-css', 'rtl', 'replace' );
		}



	}

	new Relic_Edd_Store_Enqueue_Scripts();
}
