<?php
/**
 * Breadcrumb Settings
 *
 * @package Relic EDD Store
 */
function relic_edd_store_customize_breadcrumb_settings( $wp_customize ) {

    //Breadcrumb Panel
    $wp_customize->add_section( 'relic_edd_store_breadcrumb_sections', array(
        'title'    => esc_html__( 'Breadcrumb Settings', 'relic-edd-store' ),
        'priority' => 81,
        'panel'    =>'general_setting'
    ) );

    //Breadcrumb Enable
    $wp_customize->add_setting(
        'relic_edd_store_breadcrumb_enable',
        array(
            'default'           => true,
            'sanitize_callback' => 'relic_edd_store_sanitize_checkbox',
        )
    );
    $wp_customize->add_control(
		new Relic_Edd_Store_Toggle_Control( 
			$wp_customize,
			'relic_edd_store_breadcrumb_enable',
			array(
				'section'	  => 'relic_edd_store_breadcrumb_sections',
				'label'		  => esc_html__( 'Disable Breadcrumb Sections', 'relic-edd-store' ),
                'description' => esc_html__( 'Enable/Disable Breadcrumb Sections.', 'relic-edd-store' ),
                'priority'    => 1
			)
		)
    );

}
add_action( 'customize_register', 'relic_edd_store_customize_breadcrumb_settings' );