<?php
/**
 * Slider Settings
 *
 * @package     Relic EDD Store
 * @author     	themerelic
 * @copyright   Copyright (c) 2019, themerelic
 * @link        http://themerelic.com
 * @since       Relic EDD Store 1.0.0
 * */
function relic_edd_store_customize_register_slider( $wp_customize ) {
    
    
    //Slider Section 
    $wp_customize->add_section( 'relic_edd_store_homepage_slider', array(
        'title'    => esc_html__( 'Slider', 'relic-edd-store' ),
        'priority' => 1,
        'panel'    =>'relic_edd_store_homepage_setting'
    ) );

    //edd advance search bar section
    $wp_customize->add_setting(
        'relic_edd_store_advance_search_enable',
        array(
            'default'           => true,
            'sanitize_callback' => 'relic_edd_store_sanitize_checkbox',
        )
    );
    $wp_customize->add_control(
		new Relic_Edd_Store_Toggle_Control( 
			$wp_customize,
			'relic_edd_store_advance_search_enable',
			array(
				'section'	  => 'relic_edd_store_homepage_slider',
				'label'		  => esc_html__( 'Disable Advance Search', 'relic-edd-store' ),
                'description' => esc_html__( 'Enable/Disable Advance Search.', 'relic-edd-store' ),
                'priority'    => 1
			)
		)
    );


    /**
     * Get Select the post category
     * @since 1.0.0
     */
    $wp_customize->add_setting( 
        'relic_edd_store_homepage_slider_section', 
        array(
            'sanitize_callback' => 'relic_edd_store_sanitize_select'
        )
    );
    $wp_customize->add_control( 
        'relic_edd_store_homepage_slider_section', 
        array(
            'label'     => esc_html__( 'Post Category', 'relic-edd-store' ),
            'section'   => 'relic_edd_store_homepage_slider',
            'type'      => 'select',
            'choices'   => relic_edd_store_get_categorys()
        )
    );

}
add_action( 'customize_register', 'relic_edd_store_customize_register_slider' );