<?php
/**
 * Home Page Sort Settings
 *
 * @package     Relic EDD Store
 * @author     	themerelic
 * @copyright   Copyright (c) 2019, themerelic
 * @link        http://themerelic.com
 * @since       Relic EDD Store 1.0.0
 * */

function relic_edd_store_homepage_short( $wp_customize ){

    /** Homepage Sort Section */
    $wp_customize->add_section( 'relic_edd_store_homepage_short', array(
        'title'    => esc_html__( 'Sort Homepage Section', 'relic-edd-store' ),
        'priority' => 22,
        'panel'    => 'relic_edd_store_homepage_setting',
    ) );

    /** Homepage Sort Settings*/
    $wp_customize->add_setting(
		'relic_edd_store_home_page_sort', 
		array(
			'sanitize_callback' => 'relic_edd_store_sanitize_sortable',
			'default'	=> array('relic_edd_store_homepage_slider_sec','relic_edd_store_homepage_latest_products','relic_edd_store_homepage_category_list','relic_edd_store_homepage_popular_section','relic_edd_store_homepage_featured_products_section','relic_edd_store_homepage_newsletter_section','relic_edd_store_featured_contributors')						
		)
	);


    /** Homepage Sort Controls */
	$wp_customize->add_control(
		new Relic_Edd_Store_Drag_Section_Control(
			$wp_customize,
			'relic_edd_store_home_page_sort',
			array(
				'section'     => 'relic_edd_store_homepage_short',
				'label'       => esc_html__( 'Homepage Sort Sections', 'relic-edd-store' ),
				'description' => esc_html__( 'Sort or toggle home page sections.', 'relic-edd-store' ),
				'choices'     => relic_edd_store_homepage_sort_data()
			)
		)
	);

}
add_action( 'customize_register', 'relic_edd_store_homepage_short' );



/**
 * Relic EDD Store
 *
 * @since 1.0.0
 */
function relic_edd_store_homepage_sort_data(){
	$relic_edd_store_short_desc = array(
							'relic_edd_store_homepage_slider_sec'       			=> esc_html__( 'Slider', 'relic-edd-store' ),
							'relic_edd_store_homepage_latest_products'				=> esc_html__( 'Edd Latest Products', 'relic-edd-store' ),
							'relic_edd_store_homepage_category_list'				=> esc_html__( 'Products Category', 'relic-edd-store' ),
							'relic_edd_store_homepage_popular_section'				=> esc_html__( 'Products Tabs', 'relic-edd-store' ),
							'relic_edd_store_homepage_featured_products_section'	=> esc_html__( 'Featured Products', 'relic-edd-store' ),
							'relic_edd_store_homepage_newsletter_section'       	=> esc_html__( 'Newsletter', 'relic-edd-store' ),
							'relic_edd_store_featured_contributors'					=> esc_html__( 'Contributors', 'relic-edd-store' ),
						);

	return $relic_edd_store_short_desc;
}
