<?php
/**
 * Home Page Category Select
 *
 * @package     Relic EDD Store
 * @author     	themerelic
 * @copyright   Copyright (c) 2019, themerelic
 * @link        http://themerelic.com
 * @since       Relic EDD Store 1.0.0
 * */
function relic_edd_store_customize_products_category( $wp_customize ) {
    
    //Slider Section 
    $wp_customize->add_section( 'relic_edd_store_products_category_section', array(
        'title'    => esc_html__( 'Products Category', 'relic-edd-store' ),
        'priority' => 1,
        'panel'    =>'relic_edd_store_homepage_setting'
    ) );


    /** Homepage Sort Settings*/
    $wp_customize->add_setting(
		'relic_edd_store_cateogry_section', 
		array(
			'sanitize_callback' => 'relic_edd_store_sanitize_sortable',						
		)
	);
	$wp_customize->add_control(
		new Relic_Edd_Store_Drag_Section_Control(
			$wp_customize,
			'relic_edd_store_cateogry_section',
			array(
				'section'     => 'relic_edd_store_products_category_section',
				'label'       => esc_html__( 'Homepage Sort Sections', 'relic-edd-store' ),
				'description' => esc_html__( 'Sort or toggle home page sections.', 'relic-edd-store' ),
				'choices'     => relic_edd_store_get_download_cat()
			)
		)
    );
}
add_action( 'customize_register', 'relic_edd_store_customize_products_category' );



