<?php
/**
 * Edd Products Tabs
 *
 * @package     Relic EDD Store
 * @author     	themerelic
 * @copyright   Copyright (c) 2019, themerelic
 * @link        http://themerelic.com
 * @since       Relic EDD Store 1.0.0
 * */
function relic_edd_store_homepage_products_tabs( $wp_customize ) {
    
     /**
     * Edd Products Tabs
     * @since 1.0.0
     */
    $wp_customize->add_section( 'relic_edd_store_homepage_products_tabs_section', array(
        'title'    => esc_html__( 'Edd Products Tabs', 'relic-edd-store' ),
        'priority' => 1,
        'panel'    =>'relic_edd_store_homepage_setting'
    ) );
    
    /** 
     * Homepage Sort Settings
     * @since 1.0.0
     * */
    $wp_customize->add_setting(
		'relic_edd_store_products_tab_section', 
		array(
			'sanitize_callback' => 'relic_edd_store_sanitize_sortable',						
		)
	);
	$wp_customize->add_control(
		new Relic_Edd_Store_Drag_Section_Control(
			$wp_customize,
			'relic_edd_store_products_tab_section',
			array(
				'section'     => 'relic_edd_store_homepage_products_tabs_section',
				'label'       => esc_html__( 'Select Products Category ', 'relic-edd-store' ),
                'choices'     => relic_edd_store_get_download_cat(),
                'priority'    => 3,
			)
		)
    );
    
   
    /**
     * Number of products
     * * @since 1.0.0
     */
	$wp_customize->add_setting(
        'relic_edd_store_homepage_popular_number_of_post',
        array(
            'default'           => 6,
            'sanitize_callback' => 'absint',
        )
    );
    $wp_customize->add_control(
		'relic_edd_store_homepage_popular_number_of_post',
		array(
			'section'	  => 'relic_edd_store_homepage_products_tabs_section',
			'label'		  => esc_html__( 'Number of products', 'relic-edd-store' ),
            'type'        => 'number',
            'priority'    =>  4,
		)		
    );
   
}
add_action( 'customize_register', 'relic_edd_store_homepage_products_tabs' );