<?php
/**
 * Widget and sidebars related functions
 *
 * @package     Relic EDD Store
 * @author     	themerelic
 * @copyright   Copyright (c) 2019, themerelic
 * @link        http://themerelic.com
 * @since       Relic EDD Store 1.0.0
 * */

/**
 * Relic EDD Store Homepage Slider Section
 */
if( ! function_exists( 'relic_edd_store_homepage_slider_sec' ) ) {
	
	/**
	 * Relic EDD Store Homepage Slider Section
	 * 
	 * @since 1.0.0
	 * @return catid
	*/
	function relic_edd_store_homepage_slider_sec(){
		/**
		 * Get all customizer data
		 * 
		 * @param array $homepage_slider_data default slider data.
		 * @param array $relic_edd_store_homepage_slider_section get the data from customizer section.
		 */
		$relic_edd_store_homepage_slider_section 	= get_theme_mod( 'relic_edd_store_homepage_slider_section' );
		$relic_edd_store_homepage_slider_no 		= get_theme_mod( 'relic_edd_store_homepage_slider_no',3 );
		?>
		<section id="edd-store-slider-section" class="th-homepage-slider">
				<!-- Start Slider Columns -->
                <div class="th-homepage-slider-wrapper">
					<div class="owl-carousel th-homepage-main-slider">
						<?php
							$relic_edd_store_args = array( 
								'post_type'   	=> 'post',
								'cat'         	=> $relic_edd_store_homepage_slider_section,
								'posts_per_page'=> $relic_edd_store_homepage_slider_no,
							);
							$relic_edd_store_catquery = new WP_Query( $relic_edd_store_args );
							if ( $relic_edd_store_catquery->have_posts() ) {
								while($relic_edd_store_catquery->have_posts()) : $relic_edd_store_catquery->the_post();
								/* grab the url for the full size featured image */
								$relic_edd_store_featured_img_url = get_the_post_thumbnail_url(get_the_ID(),'full'); 
							?>
							<!-- Item Loop Start  -->
								<div class="item animatedParent" data-sequence='500'>
									<div class="th-banner-img">
										<img class="animated bounceInRight slower" data-id='1' src="<?php echo esc_url( $relic_edd_store_featured_img_url ); ?>" /> 
									</div>
									<div class="des-wrapper">
										<div class="animated growIn slower banner-title" data-id='3' ><?php the_title(); ?></div>
										<p class="animated bounceInLeft slower" data-id='4'><?php echo esc_html( get_the_excerpt() ); ?></p>
										<a href="<?php the_permalink(); ?>" class="th-btn mt-4 animated growIn slower" data-id='5'><?php echo esc_html__('Browse Our Themes','relic-edd-store') ?></a> 
									</div>
									<div class="th-description">

									</div>
								</div>
							<!-- End Items Loop -->

						<?php endwhile; wp_reset_postdata();	 } ?>

					</div>
				</div><!-- End Slider Section -->

				<!-- slider section -->
				<?php if( get_theme_mod('relic_edd_store_advance_search_enable',true) ): ?>
						<?php if(relic_edd_store_is_activated()):?>
							<section id="edd-store-advance-search-section" class=" edd-store-advance-search-section"  >
								<div class="advance-search-section">
									<div class="container">
										<?php get_template_part( 'template-parts/search/search-form' ); ?>
									</div>
								</div>
							</section>
						<?php endif ?>
				<?php endif; ?>
				<!-- end slider section -->
			</section>
		<?php
		
	}
}
add_action( 'relic_edd_store_homepage_slider_sec', 'relic_edd_store_homepage_slider_sec' );








/**
 * Relic EDD Store Homepage Slider Section
 */
if( ! function_exists( 'relic_edd_store_homepage_newsletter_section' ) ) {
	
	/**
	 * Relic EDD Store Homepage Slider Section
	 * 
	 * @since 1.0.0
	 * @return catid
	*/
	function relic_edd_store_homepage_newsletter_section(){
		/**
		 * Theme produts 
		 * @since 1.0.0
		 */
		$relic_edd_store_newsletter_shortcode =  get_theme_mod('relic_edd_store_homepage_newsletter_shortcode');
		?>
		<section id="edd-store-newsletter-section" class="th-newsletter-products  py-lg-5 py-md-5 py-sm-4 py-3 animatedParent">
			<!-- Start Slider Columns -->
			<div class="th-newsletter-main-products py-lg-4 py-md-4 py-3 animated bounceInUp">
				<div class="container">
					<div class="newsletter-wrapper">
						<div class="row">
							<div class="th-relic-edd-store-theme-header-title col-10 mx-auto text-center">
										<h1 class="edd-header-title" ><?php echo wp_kses_post( relic_edd_store_homepage_newsletter_header_title_callback() ); ?></h1>
										<p class="edd-short-desc"><?php echo esc_html( relic_edd_store_homepage_newsletter_header_sort_desc_callback() ); ?></p>
									</div>
							<div class="col-lg-4 col-md-4 col-12 d-flex">
								<div class="left-wrapper">
									<img src="<?php echo esc_url( RELIC_EDD_STORE_THEME_IMG.'register.jpg' ); ?>" class="rounded">
								</div>
							</div>
							<div class="col-lg-7 col-md-7 col-12 offset-lg-1 offset-md-1 mt-lg-0 mt-md-0 mt-4">
								<div class="right-wrapper">
									
									<div class="newsletter-subsctiption">
										<?php echo do_shortcode( esc_html( $relic_edd_store_newsletter_shortcode ) ); ?>
									</div>
								</div>
							</div>
						</div>

					</div>
				</div>
			</div><!-- End Slider Section -->
		</section>
		<?php
	}
}
add_action( 'relic_edd_store_homepage_newsletter_section', 'relic_edd_store_homepage_newsletter_section' );





/**
 * Header Cart section
 */
add_action( 'relic_edd_store_header_cart_section', 'relic_edd_store_add_edd_cart_to_nav' );
function relic_edd_store_add_edd_cart_to_nav() { 
    if ( ! function_exists( 'edd_get_checkout_uri' ) ) {
        return;
    }
	?>
	<div class="header-cart-section ">
		<a href="<?php echo esc_url( edd_get_checkout_uri() ); ?>">
			<span class="header-cart-icons">
				<i class="fa fa-cart-plus"></i>
			</span>
			<span class="header-cart edd-cart-quantity"><?php echo esc_html( edd_get_cart_quantity() ); ?></span>
		</a>
	</div>
    <?php 
}


/**
 * Header Cart section
 * @since 1.0.0
 */
function relic_edd_store_get_download_cat(){
	if(!relic_edd_store_is_activated()) return;
	$relic_edd_store_taxonomy = 'download_category'; // EDD's taxonomy for categories
	$relic_edd_store_terms = get_terms( $relic_edd_store_taxonomy ); 
	
	//Default Select
	$relic_edd_store_default_product_cat = array();
	
	foreach( $relic_edd_store_terms as $relic_edd_store_cat_id )  { 
		//Select default category Hear
		$relic_edd_store_default_product_cat[$relic_edd_store_cat_id->term_id] = $relic_edd_store_cat_id->name; 
	}

	//Return default cat
	return $relic_edd_store_default_product_cat;
}


/**
 * Header Cart section
 * @since 1.0.0
 */
function relic_edd_store_get_categorys(){

	$relic_edd_store_categories = get_categories( array(
		'orderby' => 'name',
		'order'   => 'ASC'
	) );
	
	//Default Select
	$relic_edd_store_default_product_cat = array();
	
	foreach( $relic_edd_store_categories as $relic_edd_store_category_item )  { 
		//Select default category Hear
		$relic_edd_store_default_product_cat[$relic_edd_store_category_item->term_id] = $relic_edd_store_category_item->name; 
	}

	//Return default cat
	return $relic_edd_store_default_product_cat;
}





/**
 * Relic EDD Store Homepage Slider Section
 */
if( ! function_exists( 'relic_edd_store_relic_edd_store_header_login' ) ) {
	
	/**
	 * Relic EDD Store Homepage Slider Section
	 * 
	 * @since 1.0.0
	 * @return catid
	*/
	function relic_edd_store_relic_edd_store_header_login(){

		/**
		 * Login Meta
		 * @since 1.0.0
		 */
		get_template_part( '/themerelic/includes/login-meta' );
		
	}
}
add_action( 'relic_edd_store_header_login', 'relic_edd_store_relic_edd_store_header_login' );



/**
 * Relic EDD Store Homepage Slider Section
 */
if( ! function_exists( 'relic_edd_store_breadcrumb_section' ) ) {
	
	/**
	 * Relic EDD Store Homepage Slider Section
	 * 
	 * @since 1.0.0
	 * @return catid
	*/
	function relic_edd_store_breadcrumb_section(){

		/**
		 * Login Meta
		 * @since 1.0.0
		 */
		if( get_theme_mod('relic_edd_store_breadcrumb_enable',true) ){
			get_template_part( '/template-parts/breadcrumb/breadcrumb-section' );
		}
		
	}
}
add_action( 'relic_edd_store_breadcrumb', 'relic_edd_store_breadcrumb_section' );

/**
 * Relic EDD Store Homepage Slider Section
 */
 
if( ! function_exists( 'relic_edd_store_homepage_popular_section' ) ) {
	
	/**
	 * Relic EDD Store Homepage Slider Section
	 * 
	 * @since 1.0.0
	 * @return catid
	*/
	function relic_edd_store_homepage_popular_section(){
		if(!relic_edd_store_is_activated()) return;
		/**
		 * Theme produts 
		 * @since 1.0.0
		 */
		$relic_edd_store_homepage_popular_number_of_post = get_theme_mod('relic_edd_store_homepage_popular_number_of_post',6);
		$relic_edd_store_products_tab_section = get_theme_mod('relic_edd_store_products_tab_section');
		if( !empty($relic_edd_store_products_tab_section) ):
		?>
			<section id="edd-store-products-tab-section" class="th-homepage-products animatedParent mt-4 " data-sequence='1000'>
                <!--Edd Slider Section-->
                <div class="th-homepage-main-products animated bounceInUp" data-id='1'>
					<div class="container">
						<div class="row">
			                <div class="col-md-12 my-lg-5 my-md-5 my-4">
						        <nav>
						            <div class="nav ecommerce-shop-products-tab nav-tabs nav-fill col-8 mx-auto" id="nav-tab" role="tablist">
										<?php 
										$relic_edd_store_count = 1;
										foreach( $relic_edd_store_products_tab_section as $relic_edd_store_category  ):
											$relic_edd_store_category_term = 	get_term_by('id', $relic_edd_store_category, 'download_category'); 
										?>
											<a class="nav-item nav-link ecommerce-shop-products-tabs-title <?php if($relic_edd_store_count == 1){ echo 'activate'; } ?>" category_id="<?php echo esc_attr( $relic_edd_store_category );  ?>" products_count="<?php echo esc_attr( $relic_edd_store_homepage_popular_number_of_post );  ?>" ><?php echo esc_html( $relic_edd_store_category_term->name );  ?></a>
										<?php $relic_edd_store_count++; endforeach; ?>
						            </div>
						        </nav>
						        <div class="tab-content nav-tabContent mt-5" id="nav-tabContent">
									
										<div class="tab-pane show active nav-home-tab-section" >
											<div class="row">
												<?php 
													$relic_edd_store_products_tabs_args = array(
																'posts_per_page'	=> $relic_edd_store_homepage_popular_number_of_post,
																'post_type' 		=> 'download',
																'tax_query' => array(
																	array(
																		'taxonomy' => 'download_category',
																		'field' => 'term_id',
																		'terms' => reset($relic_edd_store_products_tab_section),
																	)
																),
															);
													$relic_edd_store_query =  new WP_Query($relic_edd_store_products_tabs_args);
													if ( $relic_edd_store_query->have_posts() ) : while ( $relic_edd_store_query->have_posts() ) : $relic_edd_store_query->the_post();
															/*
															* Include the Post-Type-specific template for the content.
															* If you want to override this in a child theme, then include a file
															* called content-___.php (where ___ is the Post Type name) and that will be used instead.
															*/
															get_template_part( 'template-parts/edd-template/edd-products-tabs' );
													endwhile;
														wp_reset_postdata(); endif;
													?>
											</div>
										</div>
								</div>
						    </div>
						</div>
					</div>
				</div>
                <!--End Slider Section-->
			</section>
		<?php
		endif;
	}
}
add_action( 'relic_edd_store_homepage_popular_section', 'relic_edd_store_homepage_popular_section' );





/**
 * Relic EDD Store Homepage Slider Section
 */
if( ! function_exists( 'relic_edd_store_homepage_latest_products' ) ) {
	
	/**
	 * Relic EDD Store Homepage Slider Section
	 * 
	 * @since 1.0.0
	 * @return catid
	*/
	function relic_edd_store_homepage_latest_products(){
		if(!relic_edd_store_is_activated()) return;
		/**
		 * Theme produts 
		 * @since 1.0.0
		 */
		$relic_edd_store_latest_products_number_of_post = get_theme_mod('relic_edd_store_latest_products_number_of_post',18);
		$relic_edd_store_theme_options 	= get_theme_mod('relic_edd_store_latest_products_select_opt','small-view');
		?>
			<section id="edd-store-latest-produts" class=" th-homepage-products latest-products animatedParent <?php echo esc_attr( $relic_edd_store_theme_options ); ?>" data-sequence='1000'>
				
				<!-- Start Slider Columns -->
                <div class="th-homepage-main-products animated bounceInUp" data-id='1'>
					<div class="container">
						
						<div class="row">
							<?php 
								$relic_edd_store_latest_product_args = array(
									        'posts_per_page' 	=> $relic_edd_store_latest_products_number_of_post,
									        'post_type' 		=> 'download',
									);
								$relic_edd_store_latest_product_query =  new WP_Query($relic_edd_store_latest_product_args);
								if ( $relic_edd_store_latest_product_query->have_posts() ) : while ( $relic_edd_store_latest_product_query->have_posts() ) : $relic_edd_store_latest_product_query->the_post();

								$relic_edd_store_price = edd_get_download_price(get_the_ID());
								?>
								<?php if( $relic_edd_store_theme_options == 'small-view' ): ?>
									<!-- Item Loop Start  -->
									<div class="col-lg-2 col-md-3 col-sm-4 col-6 mt-4">
										<div class="edd-store-items-wrapper">
											<div class="edd-store-items">
												<div class="th-themes-img">	
													<a href="<?php the_permalink(); ?>" title="<?php echo the_title_attribute();?>">
														<?php the_post_thumbnail('relic_edd_store_theme_list'); ?>
													</a>
													<div class="edd-store-hover">
														<a href="<?php the_permalink(); ?>"><i class="fa fa-plus"></i></a>
													</div>
												</div>
											</div>
										</div>
									</div>
									<!-- End Items Loop -->
								<?php
								else:
									/*
									* Include the Post-Type-specific template for the content.
									* If you want to override this in a child theme, then include a file
									* called content-___.php (where ___ is the Post Type name) and that will be used instead.
									*/
									get_template_part( 'template-parts/edd-template/edd-products-tabs' );

								endif;
								?>
							<?php endwhile;
									wp_reset_postdata();
							endif;
									?>
						</div>
						<div class="th-relic-edd-store-theme-header-title col-10 mx-auto my-5 pb-lg-3 pb-md-3 pb-sm-3 pb-5">
							<a href="<?php echo  esc_url( get_site_url(null, '/downloads') ); ?>" class="btn btn-primary"><?php echo esc_html__('More Products','relic-edd-store'); ?></a>
						</div>
					</div>
                </div><!-- End Slider Section -->
			</section>

		<?php
	}
}
add_action( 'relic_edd_store_homepage_latest_products', 'relic_edd_store_homepage_latest_products' );






/**
 * Relic EDD Store Homepage Slider Section
 */
if( ! function_exists( 'relic_edd_store_homepage_category_list' ) ) {
	/**
	 * Relic EDD Store Homepage Slider Section
	 * 
	 * @since 1.0.0
	 * @return catid
	*/
	function relic_edd_store_homepage_category_list(){
		if(!relic_edd_store_is_activated()) return;
		?>
			<section id="edd-store-category-produts" class="th-homepage-products category-list animatedParent " data-sequence='1000'>
				<!-- Start Slider Columns -->
                <div class="th-homepage-main-products animated bounceInUp" data-id='1'>
					<div class="container">
						<div class="row">
							<?php
								/*
								* Download Cateogry Section
								* @since 1.0.0
								*/
								get_template_part( 'template-parts/edd-template/edd-cateogry' );
							?>
						</div>
					</div>
                </div><!-- End Slider Section -->
			</section>
		<?php
	}
}
add_action( 'relic_edd_store_homepage_category_list', 'relic_edd_store_homepage_category_list' );




/**
 * Relic Fashion Store Products Tab Ajax Call Function Hear
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 */
add_action( "wp_ajax_nopriv_relic_edd_store_produts_tab", 'relic_edd_store_produts_tab' );
add_action( 'wp_ajax_relic_edd_store_produts_tab','relic_edd_store_produts_tab');
if ( ! function_exists( 'relic_edd_store_produts_tab' ) ) {  
	function relic_edd_store_produts_tab(){
		
		//Ajax Call Products Display Hear
		$relic_edd_store_category_id = '';
		if ( isset( $_POST['category_id'] ) ) {
			$relic_edd_store_category_id = wp_unslash( intval( $_POST['category_id'] ) ); 
		}	

		$relic_edd_store_products_count = '';
		if ( isset( $_POST['products_count'] ) ) {
			$relic_edd_store_products_count = wp_unslash( intval( $_POST['products_count'] ) ); 
		}	

		$html = ob_start();
	?>
	<div class="tab-pane show active" id="nav-home-" role="tabpanel" aria-labelledby="nav-home-tab">
			<div class="row">
				<?php 
					$relic_edd_store_ajax_tabs_args = array(
								'posts_per_page'	=> $relic_edd_store_products_count,
								'post_type' 		=> 'download',
								'tax_query' => array(
									array(
										'taxonomy' => 'download_category',
										'field' => 'term_id',
										'terms' => $relic_edd_store_category_id,
									)
								),
							);
					$relic_edd_store_query =  new WP_Query($relic_edd_store_ajax_tabs_args);
						if ( $relic_edd_store_query->have_posts() ) : while ( $relic_edd_store_query->have_posts() ) : $relic_edd_store_query->the_post();
							/*
							* Include the Post-Type-specific template for the content.
							* If you want to override this in a child theme, then include a file
							* called content-___.php (where ___ is the Post Type name) and that will be used instead.
							*/
							get_template_part( 'template-parts/edd-template/edd-products-tabs' );
						endwhile;
						wp_reset_postdata(); 
					endif;
					?>
			</div>
		</div>
    <?php
    $html = ob_get_contents();
    ob_end_clean();
    echo wp_kses_post( $html );
    	exit;
	}
}





/**
 * Relic EDD Store Homepage Slider Section
 */
if( ! function_exists( 'relic_edd_store_homepage_featured_products_section' ) ) {
	
	/**
	 * Relic EDD Store Homepage Slider Section
	 * 
	 * @since 1.0.0
	 * @return catid
	*/
	function relic_edd_store_homepage_featured_products_section(){
		if(!relic_edd_store_is_activated()) return;
		/**
		 * Theme produts 
		 * @since 1.0.0
		 */
		$relic_edd_store_theme_category_select 			= get_theme_mod('relic_edd_store_theme_featured_products_category_select');
		$relic_edd_store_homepage_theme_number_of_post 	= get_theme_mod('relic_edd_store_homepage_featured_products_number_of_post',6);
		
		if( !empty($relic_edd_store_theme_category_select) ):
		?>
			<section id="edd-store-featured-products-section" class="th-homepage-featured-products animatedParent pb-5" data-sequence='1000'>
				
				<!-- Start Slider Columns -->
                <div class="th-homepage-main-products animated bounceInUp" data-id='1'>
					<div class="container">
						<div class="row">
							<?php 
								$relic_edd_store_products_tabs_args = array(
									        'posts_per_page' => $relic_edd_store_homepage_theme_number_of_post,
									        'post_type' => 'download',
											'meta_key' => 'edd_feature_download',
									);
								$relic_edd_store_query =  new WP_Query($relic_edd_store_products_tabs_args);
									if ( $relic_edd_store_query->have_posts() ) : while ( $relic_edd_store_query->have_posts() ) : $relic_edd_store_query->the_post();
									/*
									* Include the Post-Type-specific template for the content.
									* If you want to override this in a child theme, then include a file
									* called content-___.php (where ___ is the Post Type name) and that will be used instead.
									*/
									get_template_part( 'template-parts/edd-template/edd-products-tabs' );
								endwhile;
								wp_reset_postdata(); 
								endif;
							?>
						</div>
					</div>
                </div><!-- End Slider Section -->
			</section>
		<?php
		endif;
	}
}
add_action( 'relic_edd_store_homepage_featured_products_section', 'relic_edd_store_homepage_featured_products_section' );




/**
 * Relic EDD Store Homepage Slider Section
 */
if( ! function_exists( 'relic_edd_store_featured_contributors' ) ) {
	
	/**
	 * Relic EDD Store Homepage Slider Section
	 * 
	 * @since 1.0.0
	 * @return catid
	*/
	function relic_edd_store_featured_contributors( ){
		if(!relic_edd_store_is_activated()) return;
		//new
		$relic_edd_store_all_users 	= get_users('orderby=post_count&order=DESC');
		$relic_edd_store_users 		= array();
		$relic_edd_store_count 		= 0;
		foreach($relic_edd_store_all_users as $relic_edd_store_current_user){
			if (!in_array('subscriber', $relic_edd_store_current_user->roles)){
				if( $relic_edd_store_count < 4 ){
					$relic_edd_store_users[] = $relic_edd_store_current_user;
				}$relic_edd_store_count++;
			}
		}
	?>
	<section id="edd-store-featured-contributors-section" class="th-homepage-featured-contributors py-5 animatedParent"  data-sequence='1000'>
		<!-- Start Slider Columns -->
		<div class="th-homepage-main-products animated bounceInUp" data-id='1'>
			<div class="container">
				<div class="row">
					<div class="col-lg-3 col-md-3 col-sm-12 col-12 mt-4">
						<div class="contributer-list ">

								<?php foreach($relic_edd_store_users as $relic_edd_store_user){
										$relic_edd_store_post_count = count_user_posts($relic_edd_store_user->ID);
								?>
									<!-- comment section  -->
										<div class="dm-author-list row">
											<div class="dm-authorAvatar col-sm-4 col-4 no-padding">
												<a href="<?php
													echo esc_url(get_author_posts_url($relic_edd_store_user->ID)); ?>"><?php
													echo get_avatar($relic_edd_store_user->user_email, '90', array(
														'class' => array(
															'd-block',
															'img-responsive'
														)
													)); 
													?>
												</a>
											</div>
											<div class="dm-authorInfo col-sm-8 col-8 no-padding">
												<h4 class="authorName">
													<a href="<?php echo esc_url(get_author_posts_url($relic_edd_store_user->ID)); ?>">
														<?php
														echo esc_html($relic_edd_store_user->display_name); ?>
													</a>
												</h4>
												<p class="dm-authorPost">
													
													<?php echo esc_html($relic_edd_store_post_count); ?> <?php esc_html_e('Articles','relic-edd-store'); ?>
												</p>
											</div>
											<div class="clearfix"></div>
										</div>
									<!-- end if -->
								<?php } ?>
						</div>
					

					</div>
					<div class="col-lg-9 col-md-9 col-sm-12 col-12">
						<div class="row">
						<?php 
								$relic_edd_store_contributer_args = array(
									        'posts_per_page' => 8,
									        'post_type' => 'download',
									);
								$relic_edd_store_query =  new WP_Query($relic_edd_store_contributer_args);
								if ( $relic_edd_store_query->have_posts() ) : while ( $relic_edd_store_query->have_posts() ) : $relic_edd_store_query->the_post();

								$relic_edd_store_price = edd_get_download_price(get_the_ID());
								?>
									<!-- Item Loop Start  -->
									<div class="col-lg-3 col-md-3 col-4 mt-4">
										<div class="edd-store-items-wrapper">
											<div class="edd-store-items">
												<div class="th-themes-img">	
													<a href="<?php the_permalink(); ?>" title="<?php echo the_title_attribute();?>">
														<?php the_post_thumbnail('relic_edd_store_theme_list'); ?>
													</a>
													<div class="edd-store-hover">
														<a href="<?php the_permalink(); ?>"><i class="fa fa-plus"></i></a>
													</div>
												</div>
											</div>
										</div>
									</div>
									<!-- End Items Loop -->
							<?php endwhile;wp_reset_postdata(); endif; ?>
							</div>
					</div>
				</div>
			</div>
		</div><!-- End Slider Section -->
	</section>

	<?php
	}
}
add_action( 'relic_edd_store_featured_contributors', 'relic_edd_store_featured_contributors' );


if (!function_exists('relic_edd_store_page_navs')): /**
 * Displays post pagination links
 *
 * @since Relic EDD Store 1.0
 */ 
    function relic_edd_store_page_navs($query = false)
    {
		$wp_query = $GLOBALS['wp_query'];
        if ($query) {
            $wp_query   = $query;
        }
        // Return early if there's only one page.
        if ($GLOBALS['wp_query']->max_num_pages < 2) {
            return;
        }
?>
	<div class="common-paginav text-center">
	<div class="pagination">
		<?php
		$big = 999999999; // need an unlikely integer

		
        echo wp_kses_post(paginate_links(array(
            'base' => str_replace($big, '%#%', esc_url(get_pagenum_link($big))),
            'format' => '?paged=%#%',
            'current' => max(1, get_query_var('paged')),
            'total' => $wp_query->max_num_pages
        )));
?>
	</div>
	</div>
	<?php
    }
endif;